import React from "react";
import { connect } from "react-redux";
import { ToastContainer } from "react-toastify";
import "react-toastify/dist/ReactToastify.min.css";
import "sweetalert/dist/sweetalert.css";
import Footer from "./footer";
import Header from "./header";
import HeaderNew from "./headerNew";

const Layout = (props: any) => {
  return (
    <div>
      <Header />
      <HeaderNew />
      <div style={{ background: "#F7F8FA", padding: "70px 0 0 20px" }}>
        <div style={{ borderRadius: "5px" }}>{props.children}</div>
      </div>
      <Footer />
      <ToastContainer />
    </div>
  );
};

const mapStateToProps = (state) => ({});

const mapDispatchToProps = {};

export default connect(mapStateToProps, mapDispatchToProps)(Layout);
